XMLStringBuffer (Tomcat API Documentation)
Keywords: org.apache.jasper.xmlparser.XMLStringBuffer class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.xmlparser
Class XMLStringBuffer

    java.lang.Object
      org.apache.jasper.xmlparser.XMLString
          org.apache.jasper.xmlparser.XMLStringBuffer

    public class XMLStringBuffer

extends XMLString

XMLString is a structure used to pass character arrays. However, XMLStringBuffer is a buffer in which characters can be appended and extends XMLString so that it can be passed to methods expecting an XMLString object. This is a safe operation because it is assumed that any callee will not modify the contents of the XMLString structure.

The contents of the string are managed by the string buffer. As characters are appended, the string buffer will grow as needed.

Note: Never set the `ch`, `offset`, and `length` fields directly. These fields are managed by the string buffer. In order to reset the buffer, call `clear()`.

Version:
  $Id: XMLStringBuffer.java 467222 2006-10-24 03:17:11Z markt $
Author:
  Andy Clark, IBM, Eric Ye, IBM

Field Summary
`static int` | `DEFAULT_SIZE` Default buffer size (32).

Fields inherited from class org.apache.jasper.xmlparser.XMLString
`ch, length, offset`

Constructor Summary
`XMLStringBuffer()`
`XMLStringBuffer(char c)` Constructs a string buffer from a char.
`XMLStringBuffer(char[] ch, int offset, int length)` Constructs a string buffer from the specified character array.
`XMLStringBuffer(int size)`
`XMLStringBuffer(java.lang.String s)` Constructs a string buffer from a String.
`XMLStringBuffer(XMLString s)` Constructs a string buffer from the specified XMLString.

Method Summary
`void` | `append(char c)` append
`void` | `append(char[] ch, int offset, int length)` append
`void` | `append(java.lang.String s)` append
`void` | `append(XMLString s)` append
`void` | `clear()` Clears the string buffer.

Methods inherited from class org.apache.jasper.xmlparser.XMLString
`equals, equals, setValues, setValues, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_SIZE

    public static final int DEFAULT_SIZE

  Default buffer size (32).

  See Also:
    Constant Field Values

Constructor Detail

### XMLStringBuffer

    public XMLStringBuffer()

### XMLStringBuffer

    public XMLStringBuffer(int size)

Parameters:
  `size` -

### XMLStringBuffer

    public XMLStringBuffer(char c)

  Constructs a string buffer from a char.

### XMLStringBuffer

    public XMLStringBuffer(java.lang.String s)

  Constructs a string buffer from a String.

### XMLStringBuffer

    public XMLStringBuffer(char[] ch,
                           int offset,
                           int length)

  Constructs a string buffer from the specified character array.

### XMLStringBuffer

    public XMLStringBuffer(XMLString s)

  Constructs a string buffer from the specified XMLString.

Method Detail

### clear

    public void clear()

  Clears the string buffer.

  Overrides:
    `clear` in class `XMLString`

### append

    public void append(char c)

  append

  Parameters:
    `c` -

### append

    public void append(java.lang.String s)

  append

  Parameters:
    `s` -

### append

    public void append(char[] ch,
                       int offset,
                       int length)

  append

  Parameters:
    `ch` -
    `offset` -
    `length` -

### append

    public void append(XMLString s)

  append

  Parameters:
    `s` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.